#ifndef __KK_SCENE_POLLUTION_H__
#define __KK_SCENE_POLLUTION_H__
#include "cJSON.h"
typedef struct
{
	int min;
	int max;
	int level;
}kk_pollution_level_t;
typedef struct
{
	char *identifier;
	kk_pollution_level_t levelMap[4];
}kk_pollution_t;

typedef struct
{
	kk_pollution_level_t levelMap[5];
}kk_pmGrade_t;
int kk_pollution_level_check(kk_pollution_level_t levelMap[],int val,int num);
int kk_pollution_check(cJSON *param,int grade);
int kk_pollution_condition_check(char *deviceCode,int grade);
int kk_pm25_condition_check(char *deviceCode);
#endif